org.apache.sysds.hops.codegen.cplan

## Class CodeTemplate

- java.lang.Object
- - org.apache.sysds.hops.codegen.cplan.CodeTemplate

- Direct Known Subclasses:
    Binary, Binary, Ternary, Ternary, Unary, Unary

      public abstract class CodeTemplate
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CodeTemplate()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getTemplate()`
    `String` | `getTemplate(CNodeBinary.BinType type, boolean sparseLhs, boolean sparseRhs, boolean scalarVector, boolean scalarInput, boolean vectorVector)`
    `String` | `getTemplate(CNodeTernary.TernaryType type, boolean sparse)`
    `String` | `getTemplate(CNodeUnary.UnaryType type, boolean sparse)`
    `static String` | `getTemplate(String templateFileName)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CodeTemplate

          public CodeTemplate()

  - ### Method Detail

    - #### getTemplate

          public String getTemplate()

    - #### getTemplate

          public String getTemplate(CNodeBinary.BinType type,
                                    boolean sparseLhs,
                                    boolean sparseRhs,
                                    boolean scalarVector,
                                    boolean scalarInput,
                                    boolean vectorVector)

    - #### getTemplate

          public String getTemplate(CNodeTernary.TernaryType type,
                                    boolean sparse)

    - #### getTemplate

          public String getTemplate(CNodeUnary.UnaryType type,
                                    boolean sparse)

    - #### getTemplate

          public static String getTemplate(String templateFileName)

Copyright © 2021 The Apache Software Foundation. All rights reserved.